Summary:       System for processing plaintext documentation
Name:          python-docutils
Version:       0.20.1
Release:       1%{?dist}
License:       Public Domain and BSD and Python and GPLv3+
URL:           https://docutils.sourceforge.net
Source0:       https://sourceforge.net/projects/docutils/files/docutils/%{version}/docutils-%{version}.tar.gz

BuildRequires: pyproject-rpm-macros python%{python3_pkgversion}-devel

BuildArch:     noarch

%description
The Docutils project specifies a plaintext markup language, reStructuredText, which is easy to read
and quick to write.  The project includes a python library to parse rST files and transform them
into other useful formats such as HTML, XML, and TeX as well as commandline tools that give the
enduser access to this functionality.

Currently, the library supports parsing rST that is in standalone files and PEPs (Python Enhancement
Proposals).  Work is underway to parse rST from Python inline documentation modules and packages.


%package -n python%{python3_pkgversion}-docutils
Summary:        System for processing plaintext documentation

%description -n python%{python3_pkgversion}-docutils
The Docutils project specifies a plaintext markup language, reStructuredText, which is easy to read
and quick to write.  The project includes a python library to parse rST files and transform them
into other useful formats such as HTML, XML, and TeX as well as commandline tools that give the
enduser access to this functionality.

Currently, the library supports parsing rST that is in standalone files and PEPs (Python Enhancement
Proposals).  Work is underway to parse rST from Python inline documentation modules and packages.


%prep
%autosetup -p1 -n docutils-%{version}

sed -i -e '/#! *\/usr\/bin\/.*/{1D}' $(grep -Erl '^#!.+python' docutils)

rm -f licenses/docutils.conf


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files docutils

for file in %{buildroot}%{_bindir}/*.py; do
  mv $file $(dirname $file)/$(basename $file .py)
done


%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{python3} test/alltests.py

%files -n python%{python3_pkgversion}-docutils -f %{pyproject_files}
%license COPYING.txt licenses/*
%doc BUGS.txt FAQ.txt HISTORY.txt README.txt RELEASE-NOTES.txt THANKS.txt
%{_bindir}/rst*
%{_bindir}/docutils

%changelog
* Thu Sep 21 2023 rockerzhu <rockerzhu@tencent.com> - 0.20.1-1
- Upgrade to 0.20.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.1-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.17.1-3
- revert to 0.17.1 to consistent with other packs

* Thu Apr 13 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.19-1
- update to 0.19

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 0.17.1-1
- initial build
